net.sourceforge.jnlp

## Class AbstractLaunchHandler

- java.lang.Object
- - net.sourceforge.jnlp.AbstractLaunchHandler

- All Implemented Interfaces:
    LaunchHandler
  Direct Known Subclasses:
    DefaultLaunchHandler, GuiLaunchHandler

      public abstract class AbstractLaunchHandler
      extends java.lang.Object
      implements LaunchHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected net.sourceforge.jnlp.util.logging.OutputController` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLaunchHandler(net.sourceforge.jnlp.util.logging.OutputController logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `printMessage(LaunchException ex)` Print a message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.jnlp.LaunchHandler

      `launchCompleted, launchError, launchInitialized, launchStarting, launchWarning, validationError`

- - ### Field Detail

    - #### logger

          protected final net.sourceforge.jnlp.util.logging.OutputController logger

  - ### Constructor Detail

    - #### AbstractLaunchHandler

          public AbstractLaunchHandler(net.sourceforge.jnlp.util.logging.OutputController logger)

  - ### Method Detail

    - #### printMessage

          protected void printMessage(LaunchException ex)

      Print a message
      Parameters:
        `ex` - exception to be printed out

Submit a bug or feature